%define real_name Net-Netmask
%define perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`perl -V:installvendorarch`"; echo $installvendorarch)

Summary: 	Parse, manipulate and lookup IP network blocks
Name: 		perl-Net-Netmask
Version: 	1.9015
Release: 	2.4
License: 	Artistic
Group: 		Applications/CPAN
URL: 		http://search.cpan.org/dist/Net-Netmask/

Source: 	http://www.cpan.org/modules/by-module/Net/Net-Netmask-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: 	noarch
BuildRequires: 	perl

%description
With this module, you can parse, manipulate and 
lookup IP network blocks.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags} OPTIMIZE="%{optflags}"

%install
%{__rm} -rf %{buildroot}
%makeinstall
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc README CHANGELOG
%{_mandir}/man3/*
%{perl_vendorlib}/Net/Netmask.pm
%{perl_vendorlib}/Net/Netmask.pod

%changelog
* Sun Apr 02 2006 VHCS Packager <vhcs@j0ke.net>
- initial release

